Nodes & EdgesAdd node URL pattern

Add node URL pattern

Add a URL pattern to a node. Requires an agency key (ak_). Returns the created row.

curl -X POST "https://mythic-analytics.gulp.workers.dev/builder/canvases/123e4567-e89b-12d3-a456-426614174000/nodes/123e4567-e89b-12d3-a456-426614174000/urls?location_id=acme-retail" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "url_pattern": "/checkout",
  "match_type": "exact",
  "is_primary": true
}'
{
  "data": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "node_id": "123e4567-e89b-12d3-a456-426614174000",
    "url_pattern": "/checkout",
    "match_type": "contains",
    "is_primary": false
  }
}
POST
/canvases/{canvasId}/nodes/{nodeId}/urls
POST
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Builder key as a bearer token. Use an agency key for full CRUD (Bearer ak_...) or a viewer key for read-only access (Bearer sk_...). Scoped keys (mcp_) are accepted too and need canvases:read or canvases:write. See Using an mcp_ key over HTTP.

Builder key as a bearer token. Use an agency key for full CRUD (Bearer ak_...) or a viewer key for read-only access (Bearer sk_...). Scoped keys (mcp_) are accepted too and need canvases:read or canvases:write. See Using an mcp_ key over HTTP.
path
canvasIdstring
Required

Canvas UUID.

Format: uuid
path
nodeIdstring
Required

Canvas node UUID.

Format: uuid
query
location_idstring

Client location to scope the request to. Required when authenticating with an agency key (ak_). Ignored for viewer keys (sk_).

Content-Typestring
Required

The media type of the request body

Options: application/json
match_typestring
Options: exact, contains, starts_with, regex, glob, pathname, step_id
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Builder key as a bearer token. Use an agency key for full CRUD (Bearer ak_...) or a viewer key for read-only access (Bearer sk_...). Scoped keys (mcp_) are accepted too and need canvases:read or canvases:write. See Using an mcp_ key over HTTP.

Path Parameters

nodeIdstring
Required

Canvas node UUID.

Query Parameters

location_idstring

Client location to scope the request to. Required when authenticating with an agency key (ak_). Ignored for viewer keys (sk_).

Example:
acme-retail

Body

application/json
url_patternstring
Required
Example:
/checkout
match_typestring
Allowed values:exactcontainsstarts_withregexglobpathnamestep_id

Responses

dataobject